#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django.test import TestCase
import unittest
from selenium import webdriver
from selenium.webdriver.firefox.options import Options

options = Options()
options.headless = True

#Test suit
class SearchText(unittest.TestCase):
    def setUp(self):
        self.driver = webdriver.Firefox(options=options)
        self.driver.implicitly_wait(10)
        self.driver.get("http://localhost:8000")
    
    def test_maintenance_mode(self):
        assert "Site down for maintenance" in self.driver.page_source
        
    def tearDown(self):
        self.driver.quit()

if __name__ == '__main__':
    unittest.main()
